No problems.
I am of the opinion that everyone should have a choice.
Who understands Lisp - can use it.
Who does not understand Lisp or needs a convenient interface - use the program.
But users need to understand - if they want improvements, they want very big requirements, then it takes a lot of time, and then it will be for an additional fee.
Started to play with dims and the obvious is that a point number must be added, to what ever is picked. This is common for me a road set out plan. Yeah still not sure why ?
Thinking more there is do object code out there so why bother with dims just do.
pline1, len1
pline1, len2
pline1, len3
pline2, len1
pline2, len2
I checked your drawing and although it looks like the splines are snapped together and at the same elevation, apparently they are not. I grabbed one of the splines by the endpoint and snapped it to the other spline. Then I ran the JOIN command and they became one. Give it a try.
If you want the actual height of the text in the drawing use the TEXTBOX function. A string with the same height like "1234" will not be the same physical height as "{1234,".
Try it
(if (setq e (car (entsel "\nPick text: ")))
(print (abs (apply '- (mapcar 'cadr (textbox (entget e))))))
)